%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname deltacloud-client
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}
%global rubyabi 1.8

Summary: Deltacloud REST Client
Name: rubygem-%{gemname}
Version: 0.4.0
Release: 1%{?dist}
Group: Development/Languages
License: ASL 2.0
URL: http://www.deltacloud.org
Source0: http://rubygems.org/downloads/%{gemname}-%{version}.gem
Patch0: fix_architecture_in_hwp.patch
Requires: ruby(abi) = %{rubyabi}
Requires: rubygems
Requires: rubygem(rest-client) >= 1.4.0
Requires: rubygem(nokogiri)
BuildRequires: rubygems
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
Deltacloud REST Client for API

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires:%{name} = %{version}-%{release}

%description doc
Documentation for %{name}

%prep
%setup -q -c -T
mkdir -p ./%{gemdir}

%build
gem install --local --install-dir .%{gemdir} -V --force %{SOURCE0}
pushd .%{geminstdir}
cat %PATCH0 | patch -s -p0

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
mkdir -p %{buildroot}%{_bindir}
cp -a .%{gemdir}/* %{buildroot}/%{gemdir}
mkdir -p %{buildroot}/%{_bindir}
mv %{buildroot}%{gemdir}/bin/* %{buildroot}/%{_bindir}
rmdir %{buildroot}%{gemdir}/bin
find %{buildroot}%{geminstdir}/bin -type f | xargs chmod 0755

# There are Test::Unit files inside test directory, however those
# require deltacloud-core server running.
%check

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{geminstdir}
%{geminstdir}/bin
%{geminstdir}/lib
%{_bindir}/deltacloudc
%doc %{geminstdir}/LICENSE
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%defattr(-, root, root, -)
%{geminstdir}/specs
%{geminstdir}/Rakefile
%{geminstdir}/DISCLAIMER
%{geminstdir}/NOTICE
%{gemdir}/doc/%{gemname}-%{version}

%changelog
* Mon Sep 19 2011 Michal Fojtik <mfojtik@redhat.com> - 0.4.0-1
- Version bump
- Added patch to fix incorrect hardware properties handling for architecture property

* Thu Jun 16 2011 Michal Fojtik <mfojtik@redhat.com> - 0.3.1-1
- Version bump

* Thu May 05 2011 Michal Fojtik <mfojtik@redhat.com> - 0.3.0-1
- Version bump

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Feb 04 2011 Michal Fojtik <mfojtik@redhat.com> - 0.1.1-1
- Version bump

* Thu Oct 14 2010 Michal Fojtik <mfojtik@redhat.com> - 0.1.0-2
- Fixed rest-client versioning

* Thu Oct 14 2010 Michal Fojtik <mfojtik@redhat.com> - 0.1.0-1
- Version bump

* Thu Oct 14 2010 Michal Fojtik <mfojtik@redhat.com> - 0.0.9.8-1
- Initial package
